| IGLib 1.4 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Types | Public Member Functions | Static Public Member Functions | Public Attributes | Protected Member Functions | Protected Attributes | Properties | Private Types | Private Member Functions | Private Attributes

# IG::Forms::XMLTreeView Class Reference

Summary description for XMLTreeView. More...

Collaboration diagram for IG::Forms::XMLTreeView:
[legend]

List of all members.

## Classes
class | NodeData
## Public Types
enum | XMLSourceType { TextFile, String, XMLNode }
## Public Member Functions
| XMLTreeView ()
| XMLTreeView ()
## Static Public Member Functions
static void | Example ()
## Public Attributes
bool | Editable = true
XMLSourceType | SourceType = XMLSourceType.TextFile
## Protected Member Functions
override void | Dispose (bool disposing)
| Clean up any resources being used.
override void | Dispose (bool disposing)
| Clean up any resources being used.
## Protected Attributes
System.Drawing.Color | RootBackColor = Color.FromArgb(255, 180, 180)
int | RootImageIndex = 0
XmlDocument | Doc = null
XMLTestPath | PathTester = null
string | NoneImageKey = "xml_none"
## Properties
bool | ExpAttr`[get, set]`
bool | AttrSubnode`[get, set]`
bool | HasChanged`[get, set]`
bool | DocumentLoaded`[get, set]`
## Private Types
enum | VIEW { TREE_VIEW = 0, TREE_VIEW = 0 }
enum | VIEW { TREE_VIEW = 0, TREE_VIEW = 0 }
## Private Member Functions
delegate void | MyDelegate ()
void | InitializeComponent ()
| Required method for Designer support - do not modify the contents of this method with the code editor.
void | Main ()
| The main entry point for the application.
void | Form1_Load (object sender, System.EventArgs e)
void | menuItem3_Click (object sender, System.EventArgs e)
void | openFileDialog1_FileOk (object sender, System.ComponentModel.CancelEventArgs e)
void | PopulateList ()
void | PopulateTree ()
void | ParseFile ()
void | treeView1_Click (object sender, System.EventArgs e)
void | treeView1_AfterSelect (object sender, System.Windows.Forms.TreeViewEventArgs e)
void | menuItem2_Click (object sender, System.EventArgs e)
void | WindowClose ()
void | LoadFileIntoListBox ()
void | MoveToLine (int ln)
void | AssociateTag (TreeNode t, int l)
void | menuItem5_Click (object sender, System.EventArgs e)
void | ShowAboutBox ()
void | EnableDisableControls ()
void | toolBar1_ButtonClick (object sender, System.Windows.Forms.ToolBarButtonClickEventArgs e)
void | TExpandAll ()
void | TE ()
void | TCollapseAll ()
void | Clear ()
void | menuItem1_DrawItem (object sender, System.Windows.Forms.DrawItemEventArgs e)
void | menuItem1_MeasureItem (object sender, System.Windows.Forms.MeasureItemEventArgs e)
void | menuItem3_MeasureItem (object sender, System.Windows.Forms.MeasureItemEventArgs e)
void | menuItem3_DrawItem (object sender, System.Windows.Forms.DrawItemEventArgs e)
void | Form1_Resize (object sender, System.EventArgs e)
void | ReportError0 (string str)
void | ReportError (string str)
void | ReportError (Exception ex)
delegate void | MyDelegate ()
void | InitializeComponent ()
| Required method for Designer support - do not modify the contents of this method with the code editor.
void | Main0 ()
| The main entry point for the application.
void | XMLTreeView_Load (object sender, System.EventArgs e)
void | FinalizeNotifications ()
void | ResetNotifications ()
void | LockNotifications ()
void | UnlockNotifications ()
void | NotifyStarted ()
void | NotifyFinished ()
void | openFileDialog1_FileOk (object sender, System.ComponentModel.CancelEventArgs e)
void | LoadFileToListBox ()
void | LoadFileToTextBox ()
void | MoveToLine (int ln)
void | LoadFileToDoc ()
void | UpdateDocumentInTreeView ()
void | ParseDocumentToTreeView ()
void | ParseFileToTreeView ()
bool | isAttributeContainter (TreeNode node)
string | getTreeNodePath (TreeNode node)
string | getTreeNodeTypeName (TreeNode node)
string | getTreeNodeName (TreeNode node)
string | getTreeNodeText (TreeNode node)
int | getTreeNodeLineNumber (TreeNode node)
XmlNode | FindXmlNode (TreeNode TNode)
void | treeViewXML_Click (object sender, System.EventArgs e)
void | ExpandNodes (TreeNode node, int numlevels, bool atleast, bool atmost)
void | ExpandNodesExactly (TreeNode node, int numlevels)
void | ExpandNodesAtLeast (TreeNode node, int numlevels)
void | ExpandNodesAtMost (TreeNode node, int numlevels)
void | ExpandNodes (TreeNode node, int numlevels, int level, bool atleast, bool atmost)
void | EditNode (TreeNode node)
void | CutNode (TreeNode node)
void | CopyNode (TreeNode node)
void | PasteNode (TreeNode node)
void | DeleteNode (TreeNode node)
void | treeViewXML_NodeMouseClick (object sender, TreeNodeMouseClickEventArgs e)
void | treeViewXML_AfterSelect (object sender, System.Windows.Forms.TreeViewEventArgs e)
void | menuItem2_Click (object sender, System.EventArgs e)
void | WindowClose ()
void | AssociateTag (TreeNode t, XmlReader reader)
void | menuItem5_Click (object sender, System.EventArgs e)
void | ShowAboutBox ()
void | EnableDisableControls ()
void | ThreadMessage (string message)
void | TExpandAll ()
void | ExpandAll ()
void | TCollapseAll ()
void | Clear ()
void | menuItem1_DrawItem (object sender, System.Windows.Forms.DrawItemEventArgs e)
void | menuItem1_MeasureItem (object sender, System.Windows.Forms.MeasureItemEventArgs e)
void | menuItem3_MeasureItem (object sender, System.Windows.Forms.MeasureItemEventArgs e)
void | menuItem3_DrawItem (object sender, System.Windows.Forms.DrawItemEventArgs e)
void | ExpAllBtn_Click (object sender, EventArgs e)
void | CollAllBtn_Click (object sender, EventArgs e)
void | ExpandAllMenuItem_Click (object sender, EventArgs e)
void | CollapseAllMenuItem_Click (object sender, EventArgs e)
void | ExpMinBtn_Click (object sender, EventArgs e)
void | ExpMaxBtn_Click (object sender, EventArgs e)
void | ControlPanelSwitchMenuItem_Click (object sender, EventArgs e)
void | TopPnlHideBtn_Click (object sender, EventArgs e)
void | ShowControlPnl ()
void | HideControlPnl ()
void | ExpBtn_Click (object sender, EventArgs e)
void | MenuFile_Open_Click (object sender, EventArgs e)
void | MenuFile_Close_Click (object sender, EventArgs e)
void | MenuFile_CloseDocument_Click (object sender, EventArgs e)
void | MenuTools_Edit_Click (object sender, EventArgs e)
void | MenuTools_Cut_Click (object sender, EventArgs e)
void | MenuTools_Copy_Click (object sender, EventArgs e)
void | MenuTools_Paste_Click (object sender, EventArgs e)
void | PathTester_Close ()
void | MenuTools_TestXPath_Click (object sender, EventArgs e)
void | MenuTools_Controls_Click (object sender, EventArgs e)
void | MenuTools_ExpandAll_Click (object sender, EventArgs e)
void | MenuTools_CollapseAll_Click (object sender, EventArgs e)
void | MenuTools_Stop_Click (object sender, EventArgs e)
void | MenuHelp_About_Click (object sender, EventArgs e)
void | ContextMenu_CopyFullPath_Click (object sender, EventArgs e)
void | ContextMenu_CopyFullPathExactly_Click (object sender, EventArgs e)
void | ContextMenu_CopyNodeText_Click (object sender, EventArgs e)
void | ContextMenu_Edit_Click (object sender, EventArgs e)
void | ContextMenu_Cut_Click (object sender, EventArgs e)
void | ContextMenu_Copy_Click (object sender, EventArgs e)
void | ContextMenu_Paste_Click (object sender, EventArgs e)
void | ContextMenu_Delete_Click (object sender, EventArgs e)
void | ContextMenu_ExpandAll_Click (object sender, EventArgs e)
void | ContextMenu_ExpandSpecified_Click (object sender, EventArgs e)
void | ContextMenu_Expand1_Click (object sender, EventArgs e)
void | ContextMenu_Expand2_Click (object sender, EventArgs e)
void | ContextMenu_Expand3_Click (object sender, EventArgs e)
void | ContextMenu_Expand4_Click (object sender, EventArgs e)
void | ContextMenu_Expand5_Click (object sender, EventArgs e)
void | ContextMenu_ExpandAtLeastSpecified_Click (object sender, EventArgs e)
void | ContextMenu_ExpandAtLeast1_Click (object sender, EventArgs e)
void | ContextMenu_ExpandAtLeast2_Click (object sender, EventArgs e)
void | ContextMenu_ExpandAtLeast3_Click (object sender, EventArgs e)
void | ContextMenu_ExpandAtLeast4_Click (object sender, EventArgs e)
void | ContextMenu_ExpandAtLeast5_Click (object sender, EventArgs e)
void | ContextMenu_ExpandAtMostSpecified_Click (object sender, EventArgs e)
void | ContextMenu_ExpandAtMost1_Click (object sender, EventArgs e)
void | ContextMenu_ExpandAtMost2_Click (object sender, EventArgs e)
void | ContextMenu_ExpandAtMost3_Click (object sender, EventArgs e)
void | ContextMenu_ExpandAtMost4_Click (object sender, EventArgs e)
void | ContextMenu_ExpandAtMost5_Click (object sender, EventArgs e)
void | ContextMenu_Collapse_Click (object sender, EventArgs e)
void | treeViewXML_NodeMouseHover (object sender, TreeNodeMouseHoverEventArgs e)
void | XMLTreeView_Closing (object sender, FormClosingEventArgs e)
void | StatusError_Click (object sender, EventArgs e)
void | StatusStatus_Click (object sender, EventArgs e)
void | MenuStrip_Enter (object sender, EventArgs e)
void | NodeContextMenu_Opening (object sender, CancelEventArgs e)
## Private Attributes
System.Drawing.Color | RootForeColor = Color.Black
System.Drawing.Color | ElementBackColor = Color.White
System.Drawing.Color | ElementForeColor = Color.DarkRed
System.Drawing.Color | TextBackColor = Color.FromArgb(255, 255, 180)
System.Drawing.Color | TextForeColor = Color.Black
System.Drawing.Color | AttrNameBackColor = Color.White
System.Drawing.Color | AttrNameForeColor = Color.Red
System.Drawing.Color | AttrValBackColor = Color.White
System.Drawing.Color | AttrValForeColor = Color.Green
System.Drawing.Color | CommentBackColor = Color.White
System.Drawing.Color | CommentForeColor = Color.Gray
System.Drawing.Color | AttrContBackColor = Color.White
System.Drawing.Color | AttrContForeColor = Color.LightGray
int | ElementImageIndex = 1
int | TextImageIndex = 2
int | AttrNameImageIndex = 6
int | AttrValImageIndex = 7
int | CommentImageIndex = 8
int | AttrContImageIndex = 9
bool | expattr = true
bool | attsubnode = true
int | NumErr = 0
int | MaxErr = 3
System.Windows.Forms.MainMenu | mainMenu1
System.Windows.Forms.MenuItem | FileMenuItem
System.Windows.Forms.MenuItem | FileCloseMenuItem
System.Windows.Forms.MenuItem | FileOpenMenuItem
System.Windows.Forms.OpenFileDialog | openFileDialog1
IContainer | components
string | XMLInputFile = null
string | FileSize = ""
string | WorkingDir = Directory.GetCurrentDirectory()
string | OrigFormTitle = ""
bool | bFileLoaded = false
int | CurrentView = (int)VIEW.TREE_VIEW
Object | NodeTag = null
Thread | t = null
TreeNode | RootNode = null
Point | ClickedPoint = new Point(0, 0)
ArrayList | TreeNodeArray = new ArrayList()
ImageList | tr_il = new ImageList()
ImageList | tb_il = new ImageList()
Bitmap | img_fileopen
Bitmap | img_exit
Bitmap | img_collapse
Bitmap | img_expand
Bitmap | img_about
System.Windows.Forms.MenuItem | HelpMenuItem
System.Windows.Forms.MenuItem | HelpAboutMenuItem
System.Windows.Forms.ToolBar | toolBar1
System.Windows.Forms.TreeView | treeView1
System.Windows.Forms.ToolBarButton | Open
System.Windows.Forms.ToolBarButton | Exit
System.Windows.Forms.ToolBarButton | AboutBtn
System.Windows.Forms.ToolBarButton | SEPARATOR1
System.Windows.Forms.ToolBarButton | ExpandAll
System.Windows.Forms.ToolBarButton | CollapseAll
System.Windows.Forms.ToolBarButton | Stop
System.Windows.Forms.ToolBarButton | SEPARATOR2
System.Windows.Forms.ListBox | listBox1
System.Windows.Forms.Splitter | splitter1
Panel | DispPanel
MenuItem | ToolsMenuItem
MenuItem | ExpandAllMenuItem
MenuItem | CollapseAllMenuItem
MenuItem | StopMenuItem
System.Windows.Forms.ToolBarButton | SEPARATOR3
Cursor | CursorDefault = Cursors.Default
Color | ActiveBackColor = Color.White
Color | InActiveBackColor = Color.WhiteSmoke
bool | ShowText = true
internal string | AttributeContainerLabel = "> Attr."
internal string | TitleBase = "XMLViewer"
string | RootImageKey = "xml_root"
string | ElementImageKey = "xml_element"
string | TextImageKey = "xml_text"
string | AttrNameImageKey = "xml_attribute_name"
string | AttrValImageKey = "xml_attribute_value"
string | CommentImageKey = "xml_comment"
bool | haschanged = false
bool | docloaded = false
internal bool | DrawDocumentNode = true
internal string | DocumentLabel = "XML Document"
ToolStripMenuItem | editToolStripMenuItem
ToolStripMenuItem | editElementToolStripMenuItem
ToolStripMenuItem | cutToolStripMenuItem
ToolStripMenuItem | copyToolStripMenuItem
ToolStripMenuItem | pasteToolStripMenuItem
ImageList | NodeImages
ToolStripMenuItem | MenuTools_TestXPath
ToolStripSeparator | toolStripSeparator5
ToolStripSeparator | toolStripSeparator6
ToolTip | toolTip1
ToolStripMenuItem | deleteToolStripMenuItem
ToolStripMenuItem | MenuFile_CloseDocument
ToolStripMenuItem | ContextMenu_Edit
ToolStripMenuItem | ContextMenu_Cut
ToolStripMenuItem | ContextMenu_Copy
ToolStripMenuItem | ContextMenu_Paste
ToolStripMenuItem | ContextMenu_Delete
RichTextBox | richTextBoxXML
ToolStripStatusLabel | StatusStatus
ToolStripMenuItem | ContextMenu_ExpandAll
System.Windows.Forms.TreeView | treeViewXML
System.Windows.Forms.ListBox | listBoxXML
Panel | TopPnl
Panel | BottomPnl
Button | ExpAllBtn
Button | CollAllBtn
Label | LevelLbl
NumericUpDown | LevelNumUpDown
Button | ExpMinBtn
Button | ExpBtn
Button | ExpMaxBtn
Button | TopPnlHideBtn
MenuStrip | MenuStrip
ToolStripMenuItem | ContextMenu_CopyFullPath
ToolStripMenuItem | ContextMenu_CopyFullPathExactly
ToolStripMenuItem | ContextMenu_CopyNodeText
ToolStripSeparator | toolStripSeparator2
ToolStripMenuItem | ContextMenu_EditMenu
ToolStripSeparator | toolStripSeparator1
ToolStripMenuItem | ContextMenu_Expand
ToolStripMenuItem | ContextMenu_ExpandSpecified
ToolStripMenuItem | ContextMenu_Expand1
ToolStripMenuItem | ContextMenu_Expand2
ToolStripMenuItem | ContextMenu_Expand3
ToolStripMenuItem | ContextMenu_Expand4
ToolStripMenuItem | ContextMenu_Expand5
ToolStripMenuItem | ContextMenu_ExpandAtLeast
ToolStripMenuItem | ContextMenu_ExpandAtLeastSpecified
ToolStripMenuItem | ContextMenu_ExpandAtLeast1
ToolStripMenuItem | ContextMenu_ExpandAtLeast2
ToolStripMenuItem | ContextMenu_ExpandAtLeast3
ToolStripMenuItem | ContextMenu_ExpandAtLeast4
ToolStripMenuItem | ContextMenu_ExpandAtLeast5
ToolStripMenuItem | ContextMenu_ExpandAtMost
ToolStripMenuItem | ContextMenu_ExpandAtMostSpecified
ToolStripMenuItem | ContextMenu_ExpandAtMost1
ToolStripMenuItem | ContextMenu_ExpandAtMost2
ToolStripMenuItem | ContextMenu_ExpandAtMost3
ToolStripMenuItem | ContextMenu_ExpandAtMost4
ToolStripMenuItem | ContextMenu_ExpandAtMost5
ToolStripMenuItem | Collapse
ContextMenuStrip | NodeContextMenu
ToolStripMenuItem | MenuFile
ToolStripMenuItem | MenuTools
ToolStripMenuItem | MenuGelp
ToolStripMenuItem | MenuFile_Open
ToolStripMenuItem | MenuFile_Close
ToolStripMenuItem | MenuTools_ExpandAll
ToolStripMenuItem | MenuTools_CollapseAll
ToolStripMenuItem | MenuTools_Stop
ToolStripMenuItem | MenuHelp_About
ToolStripMenuItem | MenuTools_Controls
Panel | ControlPnl
ToolStripSeparator | toolStripSeparator3
ToolStripSeparator | toolStripSeparator4
StatusStrip | statusStrip1
ToolStripStatusLabel | StatusPath
ToolStripStatusLabel | StatusType
ToolStripStatusLabel | StatusError
SplitContainer | splitContainer1
System.ComponentModel.ComponentResourceManager | resources = null
int | numLoadsToPerform = 0
int | countLock = 0

## Detailed Description

Summary description for XMLTreeView.

## Member Enumeration Documentation

enum IG::Forms::XMLTreeView::VIEW`[private]`

Enumerator:

  TREE_VIEW |
  TREE_VIEW |

enum IG::Forms::XMLTreeView::XMLSourceType

Enumerator:

  TextFile |
  String |
  XMLNode |

enum IG::Forms::XMLTreeView::VIEW`[private]`

Enumerator:

  TREE_VIEW |
  TREE_VIEW |

## Constructor & Destructor Documentation

IG::Forms::XMLTreeView::XMLTreeView | ( |  | ) | `[inline]`

IG::Forms::XMLTreeView::XMLTreeView | ( |  | ) | `[inline]`

## Member Function Documentation

delegate void IG::Forms::XMLTreeView::MyDelegate | ( |  | ) | `[private]`

override void IG::Forms::XMLTreeView::Dispose | ( | bool | disposing | ) | `[inline, protected]`

Clean up any resources being used.

void IG::Forms::XMLTreeView::InitializeComponent | ( |  | ) | `[inline, private]`

Required method for Designer support - do not modify the contents of this method with the code editor.

void IG::Forms::XMLTreeView::Main | ( |  | ) | `[inline, private]`

The main entry point for the application.

void IG::Forms::XMLTreeView::Form1_Load | ( | object | sender,
|  | System.EventArgs | e
| ) |  | `[inline, private]`

void IG::Forms::XMLTreeView::menuItem3_Click | ( | object | sender,
|  | System.EventArgs | e
| ) |  | `[inline, private]`

void IG::Forms::XMLTreeView::openFileDialog1_FileOk | ( | object | sender,
|  | System.ComponentModel.CancelEventArgs | e
| ) |  | `[inline, private]`

void IG::Forms::XMLTreeView::PopulateList | ( |  | ) | `[inline, private]`

void IG::Forms::XMLTreeView::PopulateTree | ( |  | ) | `[inline, private]`

void IG::Forms::XMLTreeView::ParseFile | ( |  | ) | `[inline, private]`

void IG::Forms::XMLTreeView::treeView1_Click | ( | object | sender,
|  | System.EventArgs | e
| ) |  | `[inline, private]`

void IG::Forms::XMLTreeView::treeView1_AfterSelect | ( | object | sender,
|  | System.Windows.Forms.TreeViewEventArgs | e
| ) |  | `[inline, private]`

void IG::Forms::XMLTreeView::menuItem2_Click | ( | object | sender,
|  | System.EventArgs | e
| ) |  | `[inline, private]`

void IG::Forms::XMLTreeView::WindowClose | ( |  | ) | `[inline, private]`

void IG::Forms::XMLTreeView::LoadFileIntoListBox | ( |  | ) | `[inline, private]`

void IG::Forms::XMLTreeView::MoveToLine | ( | int | ln | ) | `[inline, private]`

void IG::Forms::XMLTreeView::AssociateTag | ( | TreeNode | t,
|  | int | l
| ) |  | `[inline, private]`

void IG::Forms::XMLTreeView::menuItem5_Click | ( | object | sender,
|  | System.EventArgs | e
| ) |  | `[inline, private]`

void IG::Forms::XMLTreeView::ShowAboutBox | ( |  | ) | `[inline, private]`

void IG::Forms::XMLTreeView::EnableDisableControls | ( |  | ) | `[inline, private]`

void IG::Forms::XMLTreeView::toolBar1_ButtonClick | ( | object | sender,
|  | System.Windows.Forms.ToolBarButtonClickEventArgs | e
| ) |  | `[inline, private]`

void IG::Forms::XMLTreeView::TExpandAll | ( |  | ) | `[inline, private]`

void IG::Forms::XMLTreeView::TE | ( |  | ) | `[inline, private]`

void IG::Forms::XMLTreeView::TCollapseAll | ( |  | ) | `[inline, private]`

void IG::Forms::XMLTreeView::Clear | ( |  | ) | `[inline, private]`

void IG::Forms::XMLTreeView::menuItem1_DrawItem | ( | object | sender,
|  | System.Windows.Forms.DrawItemEventArgs | e
| ) |  | `[inline, private]`

void IG::Forms::XMLTreeView::menuItem1_MeasureItem | ( | object | sender,
|  | System.Windows.Forms.MeasureItemEventArgs | e
| ) |  | `[inline, private]`

void IG::Forms::XMLTreeView::menuItem3_MeasureItem | ( | object | sender,
|  | System.Windows.Forms.MeasureItemEventArgs | e
| ) |  | `[inline, private]`

void IG::Forms::XMLTreeView::menuItem3_DrawItem | ( | object | sender,
|  | System.Windows.Forms.DrawItemEventArgs | e
| ) |  | `[inline, private]`

void IG::Forms::XMLTreeView::Form1_Resize | ( | object | sender,
|  | System.EventArgs | e
| ) |  | `[inline, private]`

void IG::Forms::XMLTreeView::ReportError0 | ( | string | str | ) | `[inline, private]`

void IG::Forms::XMLTreeView::ReportError | ( | string | str | ) | `[inline, private]`

void IG::Forms::XMLTreeView::ReportError | ( | Exception | ex | ) | `[inline, private]`

delegate void IG::Forms::XMLTreeView::MyDelegate | ( |  | ) | `[private]`

override void IG::Forms::XMLTreeView::Dispose | ( | bool | disposing | ) | `[inline, protected]`

Clean up any resources being used.

void IG::Forms::XMLTreeView::InitializeComponent | ( |  | ) | `[inline, private]`

Required method for Designer support - do not modify the contents of this method with the code editor.

void IG::Forms::XMLTreeView::Main0 | ( |  | ) | `[inline, private]`

The main entry point for the application.

void IG::Forms::XMLTreeView::XMLTreeView_Load | ( | object | sender,
|  | System.EventArgs | e
| ) |  | `[inline, private]`

void IG::Forms::XMLTreeView::FinalizeNotifications | ( |  | ) | `[inline, private]`

void IG::Forms::XMLTreeView::ResetNotifications | ( |  | ) | `[inline, private]`

void IG::Forms::XMLTreeView::LockNotifications | ( |  | ) | `[inline, private]`

void IG::Forms::XMLTreeView::UnlockNotifications | ( |  | ) | `[inline, private]`

void IG::Forms::XMLTreeView::NotifyStarted | ( |  | ) | `[inline, private]`

void IG::Forms::XMLTreeView::NotifyFinished | ( |  | ) | `[inline, private]`

void IG::Forms::XMLTreeView::openFileDialog1_FileOk | ( | object | sender,
|  | System.ComponentModel.CancelEventArgs | e
| ) |  | `[inline, private]`

void IG::Forms::XMLTreeView::LoadFileToListBox | ( |  | ) | `[inline, private]`

void IG::Forms::XMLTreeView::LoadFileToTextBox | ( |  | ) | `[inline, private]`

void IG::Forms::XMLTreeView::MoveToLine | ( | int | ln | ) | `[inline, private]`

void IG::Forms::XMLTreeView::LoadFileToDoc | ( |  | ) | `[inline, private]`

void IG::Forms::XMLTreeView::UpdateDocumentInTreeView | ( |  | ) | `[inline, private]`

void IG::Forms::XMLTreeView::ParseDocumentToTreeView | ( |  | ) | `[inline, private]`

void IG::Forms::XMLTreeView::ParseFileToTreeView | ( |  | ) | `[inline, private]`

bool IG::Forms::XMLTreeView::isAttributeContainter | ( | TreeNode | node | ) | `[inline, private]`

string IG::Forms::XMLTreeView::getTreeNodePath | ( | TreeNode | node | ) | `[inline, private]`

string IG::Forms::XMLTreeView::getTreeNodeTypeName | ( | TreeNode | node | ) | `[inline, private]`

string IG::Forms::XMLTreeView::getTreeNodeName | ( | TreeNode | node | ) | `[inline, private]`

string IG::Forms::XMLTreeView::getTreeNodeText | ( | TreeNode | node | ) | `[inline, private]`

int IG::Forms::XMLTreeView::getTreeNodeLineNumber | ( | TreeNode | node | ) | `[inline, private]`

XmlNode IG::Forms::XMLTreeView::FindXmlNode | ( | TreeNode | TNode | ) | `[inline, private]`

void IG::Forms::XMLTreeView::treeViewXML_Click | ( | object | sender,
|  | System.EventArgs | e
| ) |  | `[inline, private]`

void IG::Forms::XMLTreeView::ExpandNodes | ( | TreeNode | node,
|  | int | numlevels,
|  | bool | atleast,
|  | bool | atmost
| ) |  | `[inline, private]`

void IG::Forms::XMLTreeView::ExpandNodesExactly | ( | TreeNode | node,
|  | int | numlevels
| ) |  | `[inline, private]`

void IG::Forms::XMLTreeView::ExpandNodesAtLeast | ( | TreeNode | node,
|  | int | numlevels
| ) |  | `[inline, private]`

void IG::Forms::XMLTreeView::ExpandNodesAtMost | ( | TreeNode | node,
|  | int | numlevels
| ) |  | `[inline, private]`

void IG::Forms::XMLTreeView::ExpandNodes | ( | TreeNode | node,
|  | int | numlevels,
|  | int | level,
|  | bool | atleast,
|  | bool | atmost
| ) |  | `[inline, private]`

void IG::Forms::XMLTreeView::EditNode | ( | TreeNode | node | ) | `[inline, private]`

void IG::Forms::XMLTreeView::CutNode | ( | TreeNode | node | ) | `[inline, private]`

void IG::Forms::XMLTreeView::CopyNode | ( | TreeNode | node | ) | `[inline, private]`

void IG::Forms::XMLTreeView::PasteNode | ( | TreeNode | node | ) | `[inline, private]`

void IG::Forms::XMLTreeView::DeleteNode | ( | TreeNode | node | ) | `[inline, private]`

void IG::Forms::XMLTreeView::treeViewXML_NodeMouseClick | ( | object | sender,
|  | TreeNodeMouseClickEventArgs | e
| ) |  | `[inline, private]`

void IG::Forms::XMLTreeView::treeViewXML_AfterSelect | ( | object | sender,
|  | System.Windows.Forms.TreeViewEventArgs | e
| ) |  | `[inline, private]`

void IG::Forms::XMLTreeView::menuItem2_Click | ( | object | sender,
|  | System.EventArgs | e
| ) |  | `[inline, private]`

void IG::Forms::XMLTreeView::WindowClose | ( |  | ) | `[inline, private]`

void IG::Forms::XMLTreeView::AssociateTag | ( | TreeNode | t,
|  | XmlReader | reader
| ) |  | `[inline, private]`

void IG::Forms::XMLTreeView::menuItem5_Click | ( | object | sender,
|  | System.EventArgs | e
| ) |  | `[inline, private]`

void IG::Forms::XMLTreeView::ShowAboutBox | ( |  | ) | `[inline, private]`

void IG::Forms::XMLTreeView::EnableDisableControls | ( |  | ) | `[inline, private]`

void IG::Forms::XMLTreeView::ThreadMessage | ( | string | message | ) | `[inline, private]`

void IG::Forms::XMLTreeView::TExpandAll | ( |  | ) | `[inline, private]`

void IG::Forms::XMLTreeView::ExpandAll | ( |  | ) | `[inline, private]`

void IG::Forms::XMLTreeView::TCollapseAll | ( |  | ) | `[inline, private]`

void IG::Forms::XMLTreeView::Clear | ( |  | ) | `[inline, private]`

void IG::Forms::XMLTreeView::menuItem1_DrawItem | ( | object | sender,
|  | System.Windows.Forms.DrawItemEventArgs | e
| ) |  | `[inline, private]`

void IG::Forms::XMLTreeView::menuItem1_MeasureItem | ( | object | sender,
|  | System.Windows.Forms.MeasureItemEventArgs | e
| ) |  | `[inline, private]`

void IG::Forms::XMLTreeView::menuItem3_MeasureItem | ( | object | sender,
|  | System.Windows.Forms.MeasureItemEventArgs | e
| ) |  | `[inline, private]`

void IG::Forms::XMLTreeView::menuItem3_DrawItem | ( | object | sender,
|  | System.Windows.Forms.DrawItemEventArgs | e
| ) |  | `[inline, private]`

void IG::Forms::XMLTreeView::ExpAllBtn_Click | ( | object | sender,
|  | EventArgs | e
| ) |  | `[inline, private]`

void IG::Forms::XMLTreeView::CollAllBtn_Click | ( | object | sender,
|  | EventArgs | e
| ) |  | `[inline, private]`

void IG::Forms::XMLTreeView::ExpandAllMenuItem_Click | ( | object | sender,
|  | EventArgs | e
| ) |  | `[inline, private]`

void IG::Forms::XMLTreeView::CollapseAllMenuItem_Click | ( | object | sender,
|  | EventArgs | e
| ) |  | `[inline, private]`

void IG::Forms::XMLTreeView::ExpMinBtn_Click | ( | object | sender,
|  | EventArgs | e
| ) |  | `[inline, private]`

void IG::Forms::XMLTreeView::ExpMaxBtn_Click | ( | object | sender,
|  | EventArgs | e
| ) |  | `[inline, private]`

void IG::Forms::XMLTreeView::ControlPanelSwitchMenuItem_Click | ( | object | sender,
|  | EventArgs | e
| ) |  | `[inline, private]`

void IG::Forms::XMLTreeView::TopPnlHideBtn_Click | ( | object | sender,
|  | EventArgs | e
| ) |  | `[inline, private]`

void IG::Forms::XMLTreeView::ShowControlPnl | ( |  | ) | `[inline, private]`

void IG::Forms::XMLTreeView::HideControlPnl | ( |  | ) | `[inline, private]`

void IG::Forms::XMLTreeView::ExpBtn_Click | ( | object | sender,
|  | EventArgs | e
| ) |  | `[inline, private]`

void IG::Forms::XMLTreeView::MenuFile_Open_Click | ( | object | sender,
|  | EventArgs | e
| ) |  | `[inline, private]`

void IG::Forms::XMLTreeView::MenuFile_Close_Click | ( | object | sender,
|  | EventArgs | e
| ) |  | `[inline, private]`

void IG::Forms::XMLTreeView::MenuFile_CloseDocument_Click | ( | object | sender,
|  | EventArgs | e
| ) |  | `[inline, private]`

void IG::Forms::XMLTreeView::MenuTools_Edit_Click | ( | object | sender,
|  | EventArgs | e
| ) |  | `[inline, private]`

void IG::Forms::XMLTreeView::MenuTools_Cut_Click | ( | object | sender,
|  | EventArgs | e
| ) |  | `[inline, private]`

void IG::Forms::XMLTreeView::MenuTools_Copy_Click | ( | object | sender,
|  | EventArgs | e
| ) |  | `[inline, private]`

void IG::Forms::XMLTreeView::MenuTools_Paste_Click | ( | object | sender,
|  | EventArgs | e
| ) |  | `[inline, private]`

void IG::Forms::XMLTreeView::PathTester_Close | ( |  | ) | `[inline, private]`

void IG::Forms::XMLTreeView::MenuTools_TestXPath_Click | ( | object | sender,
|  | EventArgs | e
| ) |  | `[inline, private]`

void IG::Forms::XMLTreeView::MenuTools_Controls_Click | ( | object | sender,
|  | EventArgs | e
| ) |  | `[inline, private]`

void IG::Forms::XMLTreeView::MenuTools_ExpandAll_Click | ( | object | sender,
|  | EventArgs | e
| ) |  | `[inline, private]`

void IG::Forms::XMLTreeView::MenuTools_CollapseAll_Click | ( | object | sender,
|  | EventArgs | e
| ) |  | `[inline, private]`

void IG::Forms::XMLTreeView::MenuTools_Stop_Click | ( | object | sender,
|  | EventArgs | e
| ) |  | `[inline, private]`

void IG::Forms::XMLTreeView::MenuHelp_About_Click | ( | object | sender,
|  | EventArgs | e
| ) |  | `[inline, private]`

void IG::Forms::XMLTreeView::ContextMenu_CopyFullPath_Click | ( | object | sender,
|  | EventArgs | e
| ) |  | `[inline, private]`

void IG::Forms::XMLTreeView::ContextMenu_CopyFullPathExactly_Click | ( | object | sender,
|  | EventArgs | e
| ) |  | `[inline, private]`

void IG::Forms::XMLTreeView::ContextMenu_CopyNodeText_Click | ( | object | sender,
|  | EventArgs | e
| ) |  | `[inline, private]`

void IG::Forms::XMLTreeView::ContextMenu_Edit_Click | ( | object | sender,
|  | EventArgs | e
| ) |  | `[inline, private]`

void IG::Forms::XMLTreeView::ContextMenu_Cut_Click | ( | object | sender,
|  | EventArgs | e
| ) |  | `[inline, private]`

void IG::Forms::XMLTreeView::ContextMenu_Copy_Click | ( | object | sender,
|  | EventArgs | e
| ) |  | `[inline, private]`

void IG::Forms::XMLTreeView::ContextMenu_Paste_Click | ( | object | sender,
|  | EventArgs | e
| ) |  | `[inline, private]`

void IG::Forms::XMLTreeView::ContextMenu_Delete_Click | ( | object | sender,
|  | EventArgs | e
| ) |  | `[inline, private]`

void IG::Forms::XMLTreeView::ContextMenu_ExpandAll_Click | ( | object | sender,
|  | EventArgs | e
| ) |  | `[inline, private]`

void IG::Forms::XMLTreeView::ContextMenu_ExpandSpecified_Click | ( | object | sender,
|  | EventArgs | e
| ) |  | `[inline, private]`

void IG::Forms::XMLTreeView::ContextMenu_Expand1_Click | ( | object | sender,
|  | EventArgs | e
| ) |  | `[inline, private]`

void IG::Forms::XMLTreeView::ContextMenu_Expand2_Click | ( | object | sender,
|  | EventArgs | e
| ) |  | `[inline, private]`

void IG::Forms::XMLTreeView::ContextMenu_Expand3_Click | ( | object | sender,
|  | EventArgs | e
| ) |  | `[inline, private]`

void IG::Forms::XMLTreeView::ContextMenu_Expand4_Click | ( | object | sender,
|  | EventArgs | e
| ) |  | `[inline, private]`

void IG::Forms::XMLTreeView::ContextMenu_Expand5_Click | ( | object | sender,
|  | EventArgs | e
| ) |  | `[inline, private]`

void IG::Forms::XMLTreeView::ContextMenu_ExpandAtLeastSpecified_Click | ( | object | sender,
|  | EventArgs | e
| ) |  | `[inline, private]`

void IG::Forms::XMLTreeView::ContextMenu_ExpandAtLeast1_Click | ( | object | sender,
|  | EventArgs | e
| ) |  | `[inline, private]`

void IG::Forms::XMLTreeView::ContextMenu_ExpandAtLeast2_Click | ( | object | sender,
|  | EventArgs | e
| ) |  | `[inline, private]`

void IG::Forms::XMLTreeView::ContextMenu_ExpandAtLeast3_Click | ( | object | sender,
|  | EventArgs | e
| ) |  | `[inline, private]`

void IG::Forms::XMLTreeView::ContextMenu_ExpandAtLeast4_Click | ( | object | sender,
|  | EventArgs | e
| ) |  | `[inline, private]`

void IG::Forms::XMLTreeView::ContextMenu_ExpandAtLeast5_Click | ( | object | sender,
|  | EventArgs | e
| ) |  | `[inline, private]`

void IG::Forms::XMLTreeView::ContextMenu_ExpandAtMostSpecified_Click | ( | object | sender,
|  | EventArgs | e
| ) |  | `[inline, private]`

void IG::Forms::XMLTreeView::ContextMenu_ExpandAtMost1_Click | ( | object | sender,
|  | EventArgs | e
| ) |  | `[inline, private]`

void IG::Forms::XMLTreeView::ContextMenu_ExpandAtMost2_Click | ( | object | sender,
|  | EventArgs | e
| ) |  | `[inline, private]`

void IG::Forms::XMLTreeView::ContextMenu_ExpandAtMost3_Click | ( | object | sender,
|  | EventArgs | e
| ) |  | `[inline, private]`

void IG::Forms::XMLTreeView::ContextMenu_ExpandAtMost4_Click | ( | object | sender,
|  | EventArgs | e
| ) |  | `[inline, private]`

void IG::Forms::XMLTreeView::ContextMenu_ExpandAtMost5_Click | ( | object | sender,
|  | EventArgs | e
| ) |  | `[inline, private]`

void IG::Forms::XMLTreeView::ContextMenu_Collapse_Click | ( | object | sender,
|  | EventArgs | e
| ) |  | `[inline, private]`

void IG::Forms::XMLTreeView::treeViewXML_NodeMouseHover | ( | object | sender,
|  | TreeNodeMouseHoverEventArgs | e
| ) |  | `[inline, private]`

void IG::Forms::XMLTreeView::XMLTreeView_Closing | ( | object | sender,
|  | FormClosingEventArgs | e
| ) |  | `[inline, private]`

void IG::Forms::XMLTreeView::StatusError_Click | ( | object | sender,
|  | EventArgs | e
| ) |  | `[inline, private]`

void IG::Forms::XMLTreeView::StatusStatus_Click | ( | object | sender,
|  | EventArgs | e
| ) |  | `[inline, private]`

void IG::Forms::XMLTreeView::MenuStrip_Enter | ( | object | sender,
|  | EventArgs | e
| ) |  | `[inline, private]`

void IG::Forms::XMLTreeView::NodeContextMenu_Opening | ( | object | sender,
|  | CancelEventArgs | e
| ) |  | `[inline, private]`

static void IG::Forms::XMLTreeView::Example | ( |  | ) | `[inline, static]`

## Member Data Documentation

System Drawing Color IG::Forms::XMLTreeView::RootBackColor = Color.FromArgb(255, 180, 180)`[protected]`

System Drawing Color IG::Forms::XMLTreeView::RootForeColor = Color.Black`[private]`

System Drawing Color IG::Forms::XMLTreeView::ElementBackColor = Color.White`[private]`

System Drawing Color IG::Forms::XMLTreeView::ElementForeColor = Color.DarkRed`[private]`

System Drawing Color IG::Forms::XMLTreeView::TextBackColor = Color.FromArgb(255, 255, 180)`[private]`

System Drawing Color IG::Forms::XMLTreeView::TextForeColor = Color.Black`[private]`

System Drawing Color IG::Forms::XMLTreeView::AttrNameBackColor = Color.White`[private]`

System Drawing Color IG::Forms::XMLTreeView::AttrNameForeColor = Color.Red`[private]`

System Drawing Color IG::Forms::XMLTreeView::AttrValBackColor = Color.White`[private]`

System Drawing Color IG::Forms::XMLTreeView::AttrValForeColor = Color.Green`[private]`

System Drawing Color IG::Forms::XMLTreeView::CommentBackColor = Color.White`[private]`

System Drawing Color IG::Forms::XMLTreeView::CommentForeColor = Color.Gray`[private]`

System Drawing Color IG::Forms::XMLTreeView::AttrContBackColor = Color.White`[private]`

System Drawing Color IG::Forms::XMLTreeView::AttrContForeColor = Color.LightGray`[private]`

int IG::Forms::XMLTreeView::RootImageIndex = 0`[protected]`

int IG::Forms::XMLTreeView::ElementImageIndex = 1`[private]`

int IG::Forms::XMLTreeView::TextImageIndex = 2`[private]`

int IG::Forms::XMLTreeView::AttrNameImageIndex = 6`[private]`

int IG::Forms::XMLTreeView::AttrValImageIndex = 7`[private]`

int IG::Forms::XMLTreeView::CommentImageIndex = 8`[private]`

int IG::Forms::XMLTreeView::AttrContImageIndex = 9`[private]`

bool IG::Forms::XMLTreeView::expattr = true`[private]`

bool IG::Forms::XMLTreeView::attsubnode = true`[private]`

int IG::Forms::XMLTreeView::NumErr = 0`[private]`

int IG::Forms::XMLTreeView::MaxErr = 3`[private]`

System.Windows.Forms.MainMenu IG::Forms::XMLTreeView::mainMenu1`[private]`

System.Windows.Forms.MenuItem IG::Forms::XMLTreeView::FileMenuItem`[private]`

System.Windows.Forms.MenuItem IG::Forms::XMLTreeView::FileCloseMenuItem`[private]`

System.Windows.Forms.MenuItem IG::Forms::XMLTreeView::FileOpenMenuItem`[private]`

System Windows Forms OpenFileDialog IG::Forms::XMLTreeView::openFileDialog1`[private]`

IContainer IG::Forms::XMLTreeView::components`[private]`

string IG::Forms::XMLTreeView::XMLInputFile = null`[private]`

string IG::Forms::XMLTreeView::FileSize = ""`[private]`

string IG::Forms::XMLTreeView::WorkingDir = Directory.GetCurrentDirectory()`[private]`

string IG::Forms::XMLTreeView::OrigFormTitle = ""`[private]`

bool IG::Forms::XMLTreeView::bFileLoaded = false`[private]`

int IG::Forms::XMLTreeView::CurrentView = (int)VIEW.TREE_VIEW`[private]`

Object IG::Forms::XMLTreeView::NodeTag = null`[private]`

Thread IG::Forms::XMLTreeView::t = null`[private]`

TreeNode IG::Forms::XMLTreeView::RootNode = null`[private]`

Point IG::Forms::XMLTreeView::ClickedPoint = new Point(0, 0)`[private]`

ArrayList IG::Forms::XMLTreeView::TreeNodeArray = new ArrayList()`[private]`

ImageList IG::Forms::XMLTreeView::tr_il = new ImageList()`[private]`

ImageList IG::Forms::XMLTreeView::tb_il = new ImageList()`[private]`

Bitmap IG::Forms::XMLTreeView::img_fileopen`[private]`

Bitmap IG::Forms::XMLTreeView::img_exit`[private]`

Bitmap IG::Forms::XMLTreeView::img_collapse`[private]`

Bitmap IG::Forms::XMLTreeView::img_expand`[private]`

Bitmap IG::Forms::XMLTreeView::img_about`[private]`

System.Windows.Forms.MenuItem IG::Forms::XMLTreeView::HelpMenuItem`[private]`

System.Windows.Forms.MenuItem IG::Forms::XMLTreeView::HelpAboutMenuItem`[private]`

System.Windows.Forms.ToolBar IG::Forms::XMLTreeView::toolBar1`[private]`

System.Windows.Forms.TreeView IG::Forms::XMLTreeView::treeView1`[private]`

System.Windows.Forms.ToolBarButton IG::Forms::XMLTreeView::Open`[private]`

System.Windows.Forms.ToolBarButton IG::Forms::XMLTreeView::Exit`[private]`

System.Windows.Forms.ToolBarButton IG::Forms::XMLTreeView::AboutBtn`[private]`

System.Windows.Forms.ToolBarButton IG::Forms::XMLTreeView::SEPARATOR1`[private]`

System.Windows.Forms.ToolBarButton IG::Forms::XMLTreeView::ExpandAll`[private]`

System.Windows.Forms.ToolBarButton IG::Forms::XMLTreeView::CollapseAll`[private]`

System.Windows.Forms.ToolBarButton IG::Forms::XMLTreeView::Stop`[private]`

System.Windows.Forms.ToolBarButton IG::Forms::XMLTreeView::SEPARATOR2`[private]`

System.Windows.Forms.ListBox IG::Forms::XMLTreeView::listBox1`[private]`

System.Windows.Forms.Splitter IG::Forms::XMLTreeView::splitter1`[private]`

Panel IG::Forms::XMLTreeView::DispPanel`[private]`

MenuItem IG::Forms::XMLTreeView::ToolsMenuItem`[private]`

MenuItem IG::Forms::XMLTreeView::ExpandAllMenuItem`[private]`

MenuItem IG::Forms::XMLTreeView::CollapseAllMenuItem`[private]`

MenuItem IG::Forms::XMLTreeView::StopMenuItem`[private]`

System.Windows.Forms.ToolBarButton IG::Forms::XMLTreeView::SEPARATOR3`[private]`

Cursor IG::Forms::XMLTreeView::CursorDefault = Cursors.Default`[private]`

Color IG::Forms::XMLTreeView::ActiveBackColor = Color.White`[private]`

Color IG::Forms::XMLTreeView::InActiveBackColor = Color.WhiteSmoke`[private]`

bool IG::Forms::XMLTreeView::Editable = true

bool IG::Forms::XMLTreeView::ShowText = true`[private]`

XmlDocument IG::Forms::XMLTreeView::Doc = null`[protected]`

XMLTestPath IG::Forms::XMLTreeView::PathTester = null`[protected]`

XMLSourceType IG::Forms::XMLTreeView::SourceType = XMLSourceType.TextFile

internal string IG::Forms::XMLTreeView::AttributeContainerLabel = "> Attr."`[private]`

internal string IG::Forms::XMLTreeView::TitleBase = "XMLViewer"`[private]`

string IG::Forms::XMLTreeView::NoneImageKey = "xml_none"`[protected]`

string IG::Forms::XMLTreeView::RootImageKey = "xml_root"`[private]`

string IG::Forms::XMLTreeView::ElementImageKey = "xml_element"`[private]`

string IG::Forms::XMLTreeView::TextImageKey = "xml_text"`[private]`

string IG::Forms::XMLTreeView::AttrNameImageKey = "xml_attribute_name"`[private]`

string IG::Forms::XMLTreeView::AttrValImageKey = "xml_attribute_value"`[private]`

string IG::Forms::XMLTreeView::CommentImageKey = "xml_comment"`[private]`

bool IG::Forms::XMLTreeView::haschanged = false`[private]`

bool IG::Forms::XMLTreeView::docloaded = false`[private]`

internal bool IG::Forms::XMLTreeView::DrawDocumentNode = true`[private]`

internal string IG::Forms::XMLTreeView::DocumentLabel = "XML Document"`[private]`

ToolStripMenuItem IG::Forms::XMLTreeView::editToolStripMenuItem`[private]`

ToolStripMenuItem IG::Forms::XMLTreeView::editElementToolStripMenuItem`[private]`

ToolStripMenuItem IG::Forms::XMLTreeView::cutToolStripMenuItem`[private]`

ToolStripMenuItem IG::Forms::XMLTreeView::copyToolStripMenuItem`[private]`

ToolStripMenuItem IG::Forms::XMLTreeView::pasteToolStripMenuItem`[private]`

ImageList IG::Forms::XMLTreeView::NodeImages`[private]`

ToolStripMenuItem IG::Forms::XMLTreeView::MenuTools_TestXPath`[private]`

ToolStripSeparator IG::Forms::XMLTreeView::toolStripSeparator5`[private]`

ToolStripSeparator IG::Forms::XMLTreeView::toolStripSeparator6`[private]`

ToolTip IG::Forms::XMLTreeView::toolTip1`[private]`

ToolStripMenuItem IG::Forms::XMLTreeView::deleteToolStripMenuItem`[private]`

ToolStripMenuItem IG::Forms::XMLTreeView::MenuFile_CloseDocument`[private]`

ToolStripMenuItem IG::Forms::XMLTreeView::ContextMenu_Edit`[private]`

ToolStripMenuItem IG::Forms::XMLTreeView::ContextMenu_Cut`[private]`

ToolStripMenuItem IG::Forms::XMLTreeView::ContextMenu_Copy`[private]`

ToolStripMenuItem IG::Forms::XMLTreeView::ContextMenu_Paste`[private]`

ToolStripMenuItem IG::Forms::XMLTreeView::ContextMenu_Delete`[private]`

RichTextBox IG::Forms::XMLTreeView::richTextBoxXML`[private]`

ToolStripStatusLabel IG::Forms::XMLTreeView::StatusStatus`[private]`

ToolStripMenuItem IG::Forms::XMLTreeView::ContextMenu_ExpandAll`[private]`

System.Windows.Forms.TreeView IG::Forms::XMLTreeView::treeViewXML`[private]`

System.Windows.Forms.ListBox IG::Forms::XMLTreeView::listBoxXML`[private]`

Panel IG::Forms::XMLTreeView::TopPnl`[private]`

Panel IG::Forms::XMLTreeView::BottomPnl`[private]`

Button IG::Forms::XMLTreeView::ExpAllBtn`[private]`

Button IG::Forms::XMLTreeView::CollAllBtn`[private]`

Label IG::Forms::XMLTreeView::LevelLbl`[private]`

NumericUpDown IG::Forms::XMLTreeView::LevelNumUpDown`[private]`

Button IG::Forms::XMLTreeView::ExpMinBtn`[private]`

Button IG::Forms::XMLTreeView::ExpBtn`[private]`

Button IG::Forms::XMLTreeView::ExpMaxBtn`[private]`

Button IG::Forms::XMLTreeView::TopPnlHideBtn`[private]`

MenuStrip IG::Forms::XMLTreeView::MenuStrip`[private]`

ToolStripMenuItem IG::Forms::XMLTreeView::ContextMenu_CopyFullPath`[private]`

ToolStripMenuItem IG::Forms::XMLTreeView::ContextMenu_CopyFullPathExactly`[private]`

ToolStripMenuItem IG::Forms::XMLTreeView::ContextMenu_CopyNodeText`[private]`

ToolStripSeparator IG::Forms::XMLTreeView::toolStripSeparator2`[private]`

ToolStripMenuItem IG::Forms::XMLTreeView::ContextMenu_EditMenu`[private]`

ToolStripSeparator IG::Forms::XMLTreeView::toolStripSeparator1`[private]`

ToolStripMenuItem IG::Forms::XMLTreeView::ContextMenu_Expand`[private]`

ToolStripMenuItem IG::Forms::XMLTreeView::ContextMenu_ExpandSpecified`[private]`

ToolStripMenuItem IG::Forms::XMLTreeView::ContextMenu_Expand1`[private]`

ToolStripMenuItem IG::Forms::XMLTreeView::ContextMenu_Expand2`[private]`

ToolStripMenuItem IG::Forms::XMLTreeView::ContextMenu_Expand3`[private]`

ToolStripMenuItem IG::Forms::XMLTreeView::ContextMenu_Expand4`[private]`

ToolStripMenuItem IG::Forms::XMLTreeView::ContextMenu_Expand5`[private]`

ToolStripMenuItem IG::Forms::XMLTreeView::ContextMenu_ExpandAtLeast`[private]`

ToolStripMenuItem IG::Forms::XMLTreeView::ContextMenu_ExpandAtLeastSpecified`[private]`

ToolStripMenuItem IG::Forms::XMLTreeView::ContextMenu_ExpandAtLeast1`[private]`

ToolStripMenuItem IG::Forms::XMLTreeView::ContextMenu_ExpandAtLeast2`[private]`

ToolStripMenuItem IG::Forms::XMLTreeView::ContextMenu_ExpandAtLeast3`[private]`

ToolStripMenuItem IG::Forms::XMLTreeView::ContextMenu_ExpandAtLeast4`[private]`

ToolStripMenuItem IG::Forms::XMLTreeView::ContextMenu_ExpandAtLeast5`[private]`

ToolStripMenuItem IG::Forms::XMLTreeView::ContextMenu_ExpandAtMost`[private]`

ToolStripMenuItem IG::Forms::XMLTreeView::ContextMenu_ExpandAtMostSpecified`[private]`

ToolStripMenuItem IG::Forms::XMLTreeView::ContextMenu_ExpandAtMost1`[private]`

ToolStripMenuItem IG::Forms::XMLTreeView::ContextMenu_ExpandAtMost2`[private]`

ToolStripMenuItem IG::Forms::XMLTreeView::ContextMenu_ExpandAtMost3`[private]`

ToolStripMenuItem IG::Forms::XMLTreeView::ContextMenu_ExpandAtMost4`[private]`

ToolStripMenuItem IG::Forms::XMLTreeView::ContextMenu_ExpandAtMost5`[private]`

ToolStripMenuItem IG::Forms::XMLTreeView::Collapse`[private]`

ContextMenuStrip IG::Forms::XMLTreeView::NodeContextMenu`[private]`

ToolStripMenuItem IG::Forms::XMLTreeView::MenuFile`[private]`

ToolStripMenuItem IG::Forms::XMLTreeView::MenuTools`[private]`

ToolStripMenuItem IG::Forms::XMLTreeView::MenuGelp`[private]`

ToolStripMenuItem IG::Forms::XMLTreeView::MenuFile_Open`[private]`

ToolStripMenuItem IG::Forms::XMLTreeView::MenuFile_Close`[private]`

ToolStripMenuItem IG::Forms::XMLTreeView::MenuTools_ExpandAll`[private]`

ToolStripMenuItem IG::Forms::XMLTreeView::MenuTools_CollapseAll`[private]`

ToolStripMenuItem IG::Forms::XMLTreeView::MenuTools_Stop`[private]`

ToolStripMenuItem IG::Forms::XMLTreeView::MenuHelp_About`[private]`

ToolStripMenuItem IG::Forms::XMLTreeView::MenuTools_Controls`[private]`

Panel IG::Forms::XMLTreeView::ControlPnl`[private]`

ToolStripSeparator IG::Forms::XMLTreeView::toolStripSeparator3`[private]`

ToolStripSeparator IG::Forms::XMLTreeView::toolStripSeparator4`[private]`

StatusStrip IG::Forms::XMLTreeView::statusStrip1`[private]`

ToolStripStatusLabel IG::Forms::XMLTreeView::StatusPath`[private]`

ToolStripStatusLabel IG::Forms::XMLTreeView::StatusType`[private]`

ToolStripStatusLabel IG::Forms::XMLTreeView::StatusError`[private]`

SplitContainer IG::Forms::XMLTreeView::splitContainer1`[private]`

System.ComponentModel.ComponentResourceManager IG::Forms::XMLTreeView::resources = null`[private]`

int IG::Forms::XMLTreeView::numLoadsToPerform = 0`[private]`

int IG::Forms::XMLTreeView::countLock = 0`[private]`

## Property Documentation

bool IG::Forms::XMLTreeView::ExpAttr`[get, set]`

bool IG::Forms::XMLTreeView::AttrSubnode`[get, set]`

bool IG::Forms::XMLTreeView::HasChanged`[get, set]`

bool IG::Forms::XMLTreeView::DocumentLoaded`[get, set]`

The documentation for this class was generated from the following files:

- 00copy/xmltreeview.cs
- xmltreeview.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events